﻿using DevExpress.XtraBars;
using DevExpress.XtraBars.Ribbon;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : RibbonForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 리본 갤러리 바 항목을 생성한다.

            RibbonGalleryBarItem ribbonGalleryBarItem = new RibbonGalleryBarItem();

            ribbonGalleryBarItem.Id                       = 1;
            ribbonGalleryBarItem.Name                     = "ribbonGalleryBarItem";
            ribbonGalleryBarItem.Caption                  = "리본 갤러리 바 항목";
            ribbonGalleryBarItem.Gallery.Images           = this.imageCollection;
            ribbonGalleryBarItem.Gallery.HoverImages      = this.hoverImageCollection;
            ribbonGalleryBarItem.Gallery.AllowHoverImages = true;
            ribbonGalleryBarItem.Gallery.ColumnCount      = 3;

            #endregion
            #region 갤러리 항목 그룹을 생성한다.

            GalleryItemGroup galleryItemGroup = new GalleryItemGroup();

            galleryItemGroup.Caption = "그룹 1";

            #endregion
            #region 갤러리 항목 1을 생성한다.

            GalleryItem galleryItem1 = new GalleryItem();

            galleryItem1.Caption                      = "항목 1";
            galleryItem1.ImageOptions.ImageIndex      = 0;
            galleryItem1.ImageOptions.HoverImageIndex = 0;

            #endregion
            #region 갤러리 항목 2를 생성한다.

            GalleryItem galleryItem2 = new GalleryItem();

            galleryItem2.Caption                      = "항목 2";
            galleryItem2.ImageOptions.ImageIndex      = 1;
            galleryItem2.ImageOptions.HoverImageIndex = 1;

            #endregion
            #region 갤러리 항목 3을 생성한다.

            GalleryItem galleryItem3 = new GalleryItem();

            galleryItem3.Caption                      = "항목 3";
            galleryItem3.ImageOptions.ImageIndex      = 2;
            galleryItem3.ImageOptions.HoverImageIndex = 2;

            #endregion
            #region 갤러리 항목 4를 생성한다.

            GalleryItem galleryItem4 = new GalleryItem();

            galleryItem4.Caption                      = "항목 4";
            galleryItem4.ImageOptions.ImageIndex      = 3;
            galleryItem4.ImageOptions.HoverImageIndex = 3;

            #endregion
            #region 갤러리 항목 5를 생성한다.

            GalleryItem galleryItem5 = new GalleryItem();

            galleryItem5.Caption                      = "항목 5";
            galleryItem5.ImageOptions.ImageIndex      = 4;
            galleryItem5.ImageOptions.HoverImageIndex = 4;

            #endregion
            #region 갤러리 항목 6을 생성한다.

            GalleryItem galleryItem6 = new GalleryItem();
            
            galleryItem6.Caption                      = "항목 6";
            galleryItem6.ImageOptions.ImageIndex      = 5;
            galleryItem6.ImageOptions.HoverImageIndex = 5;

            #endregion

            galleryItemGroup.Items.Add(galleryItem1);
            galleryItemGroup.Items.Add(galleryItem2);
            galleryItemGroup.Items.Add(galleryItem3);
            galleryItemGroup.Items.Add(galleryItem4);
            galleryItemGroup.Items.Add(galleryItem5);
            galleryItemGroup.Items.Add(galleryItem6);

            ribbonGalleryBarItem.Gallery.Groups.Add(galleryItemGroup);

            this.ribbonControl.Items.Add(ribbonGalleryBarItem);

            this.ribbonPageGroup.ItemLinks.Add(ribbonGalleryBarItem);
        }

        #endregion
    }
}